DELIMITER mysolus$$
	CREATE  OR REPLACE  VIEW `CDM_Product_One_View` AS select `pm`.`Product_LOV_Id` AS `Product_LOV_Id`,`pm`.`Product_Comm_Name` AS `Product_Comm_Name`,`a`.`LOV_Key` AS `BU`,`e`.`LOV_Key` AS `Department`,`b`.`LOV_Key` AS `Brand`,`c`.`LOV_Key` AS `Category`,`d`.`LOV_Key` AS `Division`,concat(ifnull(`a`.`LOV_Key`,'NA'),'____',ifnull(`e`.`LOV_Key`,'NA'),'____',ifnull(`c`.`LOV_Key`,'NA'),'____',ifnull(`b`.`LOV_Key`,'NA')) AS `Product_Genome` from (((((`CDM_Product_Master` `pm` left join `CDM_LOV_Master` `a` on(`a`.`LOV_Id` = `pm`.`BU_LOV_Id`)) left join `CDM_LOV_Master` `b` on(`b`.`LOV_Id` = `pm`.`Brand_LOV_Id`)) left join `CDM_LOV_Master` `c` on(`c`.`LOV_Id` = `pm`.`Cat_LOV_Id`)) left join `CDM_LOV_Master` `d` on(`d`.`LOV_Id` = `pm`.`Div_LOV_Id`)) left join `CDM_LOV_Master` `e` on(`e`.`LOV_Id` = `pm`.`Dep_LOV_Id`))	
mysolus$$
